
From: "McMullan, Jason" <jason.mcmullan@timesys.com>

Fix OOPS when swapping on a device that doesn't have an unplug_io_fn defined
(eg, ATA Over Ethernet)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/swapfile.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/swapfile.c~swapout-oops-fix mm/swapfile.c
--- 25/mm/swapfile.c~swapout-oops-fix	2005-05-13 23:27:31.000000000 -0700
+++ 25-akpm/mm/swapfile.c	2005-05-13 23:27:31.000000000 -0700
@@ -80,7 +80,7 @@ void swap_unplug_io_fn(struct backing_de
 		WARN_ON(page_count(page) <= 1);
 
 		bdi = bdev->bd_inode->i_mapping->backing_dev_info;
-		bdi->unplug_io_fn(bdi, page);
+		blk_run_backing_dev(bdi, page);
 	}
 	up_read(&swap_unplug_sem);
 }
_
